- Qt 6.7
- Qt 3D
- QML Types
- Qt3D.Input
- InputSettings
- Qt 6.7.2 Reference Documentation

# InputSettings QML Type

InputSettings holds the pointer to an input event source object. More...

Import Statement: | import Qt3D.Input 2.7
Inherits: | Component3D

- List of all members, including inherited members

## Properties

- eventSource : QtObject

## Detailed Description

The InputSettings component must be set as a component of the scene root entity. It stores a pointer to the object that acts as the source of input events to be handled by various input classes. For example, a Window instance can be an event source.

See also MouseDevice and KeyboardDevice.

## Property Documentation

eventSource : QtObject

Holds the current event source. An event source is an object that is capable of receiving various input events, such as mouse or keyboard events. Typically it is a Window instance.